Bug 237332 - Review Request: perl-Crypt-OpenSSL-Bignum -- Perl OpenSSL bindings for big numbers support
Summary: Review Request: perl-Crypt-OpenSSL-Bignum -- Perl OpenSSL bindings for big n...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: perl-Net-DNS-SEC
TreeView+ depends on / blocked
 
Reported: 2007-04-20 20:34 UTC by Wes Hardaker
Modified: 2008-06-16 20:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 23:49:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Wes Hardaker 2007-04-20 20:34:20 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum.spec
Description:  A Perl wrapper around OpenSSL's big-number support.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).

Comment 1 Bernard Johnson 2007-04-30 17:15:21 UTC
Please post SRPM.

Comment 3 Wes Hardaker 2007-05-08 20:57:41 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum-0.03-2.src.rpm

- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib


Comment 4 Jason Tibbitts 2007-05-10 02:37:33 UTC
As should be expected now, this needs BuildRequires: perl(ExtUtils::MakeMaker).
 The test suite needs perl(Test) but I'm really not sure if the plan is to split
that off or not.

Really, that's the only issue I see with this package.  Let me go over one more
tonight and then we can start getting some of these checked in.

* source files match upstream:
   d709ce87110f0f1ab1c9d957f11239d5c4e411733b0e6ea08576720e1f147c80  
   Crypt-OpenSSL-Bignum-0.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Bignum.so()(64bit)
   perl(Crypt::OpenSSL::Bignum) = 0.03
   perl(Crypt::OpenSSL::Bignum::CTX)
   perl-Crypt-OpenSSL-Bignum = 0.03-2.fc7
  =
   libcrypto.so.6()(64bit)
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Crypt::OpenSSL::Bignum)
   perl(DynaLoader)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   [...]
   ok 52
   + exit 0

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

Comment 5 Wes Hardaker 2007-05-14 22:01:18 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Bignum-0.03-3.src.rpm

* Mon May 14 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.03-3
- BuildRequire perl(ExtUtils::MakeMaker) perl(Test)

Comment 6 Jason Tibbitts 2007-05-15 18:24:25 UTC
Looks good to me.

APPROVED

Comment 7 Wes Hardaker 2007-05-22 20:24:56 UTC
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-Bignum
Short Description: Perl OpenSSL bindings for big numbers support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 


Comment 8 Tom "spot" Callaway 2007-05-22 22:02:10 UTC
cvs done.

Comment 9 Wes Hardaker 2008-06-16 20:36:18 UTC
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-Bignum
New Branches: EL-4 EL-5


Comment 10 Dennis Gilmore 2008-06-16 20:52:44 UTC
CVS Done


Note You need to log in before you can comment on or make changes to this bug.